server:
  port: 8099
  tomcat:
    uri-encoding: UTF-8
  servlet:
    session:
      timeout: 3600
myapps:
  this: #本服务外网访问ip
    ip: 65.26.107.123
  domain:
    url:
  storage:
    root: /data/v5-runing/storage
  addin: #测试湖南【ESAPro电子印章系统】控件下载地址
    exe: "-"
  signature:
    #是否开启背景筛查  true 为开启  false 为 关闭
    enable: true
    #公安政务外网
    api: http://172.26.72.157:10006
    appid:
    sealno:
    scheduled:
      #文书定时器隔，5分钟执行一次
      documenttiming: 30 */5 * * * ?
      #保安资格证定时器隔，5分钟执行一次
      bazgztiming: 30 */5 * * * ?
      #京通同步定时器隔，3分钟执行一次
      jttiming: 30 */3 * * * ?
spring:
  datasource:
    jdbc-url: jdbc:mysql://49.4.21.141:45611/obpm2_security?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false&zeroDateTimeBehavior=CONVERT_TO_NULL
    username: bcx
    password: Wstestv5qy#2022
    driver-class-name: com.mysql.cj.jdbc.Driver
#    url: jdbc:mysql://14.62.1.152:3306/obpm2_security?useUnicode=true&characterEncoding=utf8&useCompression=true&serverTimezone=GMT&useSSL=false
#    username: inbj_security
#    password: Inbj_security#202107
#    driver-class-name: com.mysql.cj.jdbc.Driver

mybatis-plus:
  mapper-locations: classpath:mybatis/*Mapper.xml
  configuration:
    cache-enabled: false
    use-generated-keys: true
    log-impl: org.apache.ibatis.logging.stdout.StdOutImpl
    # 字段名称下划线转驼峰命名
    map-underscore-to-camel-case: true

# 日志
logging:
  level:
    com:
      bcxin:
        backend: info
  config: classpath:logback-spring.xml

log:
  # 日志是否上传
  posh: false
  # 日志存放目录
  path: /data/logs
  # 日志打印级别  默认 info
  level: info
  # 是否控制台输出，默认true
  stdout: true
